/*
 * $Id: ActiveTime.java,v 1.4 2004/07/28 09:37:21 dog Exp $
 * Copyright (C) 2002 The Free Software Foundation
 * 
 * This file is part of GNU inetlib, a library.
 * 
 * GNU inetlib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * GNU inetlib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * As a special exception, if you link this library with other files to
 * produce an executable, this library does not by itself cause the
 * resulting executable to be covered by the GNU General Public License.
 * This exception does not however invalidate any other reasons why the
 * executable file might be covered by the GNU General Public License.
 */

package gnu.inet.nntp;

import java.util.Date;

/**
 * An item in an NNTP newsgroup active time listing.
 *
 * @author <a href='mailto:dog@gnu.org'>Chris Burdess</a>
 * @version $Revision: 1.4 $ $Date: 2004/07/28 09:37:21 $
 */
public final class ActiveTime
{

  String group;
  Date time;
  String email;

  ActiveTime (String group, Date time, String email)
  {
    this.group = group;
    this.time = time;
    this.email = email;
  }
  
  /**
   * The name of the newsgroup.
   */
  public String getGroup ()
  {
    return group;
  }

  /**
   * The date the newsgroup was added to the hierarchy.
   */
  public Date getTime ()
  {
    return time;
  }

  /**
   * The email address of the creator of the newsgroup.
   */
  public String getEmail ()
  {
    return email;
  }

}
